Subject: bug#20017: guile 2.0.11 make check failure for ppc architecture

From: Normand <[email-masked]>
Date: Thu, 23 Jun 2016 17:28:39 +0200

On 23/06/2016 13:45, Andy Wingo wrote:
> Hi :)
>
> On Fri 06 Mar 2015 14:57, Normand <[email-masked]> writes:
>
>> guile 2.0.11 make check failure for ppc architecture on opensuse 13.2
>>
>> details of the log is available at:
>> https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/guile
>> https://build.opensuse.org/build/openSUSE:Factory:PowerPC/standard/ppc/guile/_log
>>
>> There are two failing tests:
>> ===
>> [ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
>> [ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))
>> ===
>>
>> I have a guest on which I am able to recreate the problem,
>> but I do not know anything about guile to do investigation of the problem.
>>
>> any suggestions ?
>
> Sorry for the 15 month delay!  Our bad.  On the other hand we're finally
> about to cut a 2.0.12 so it would be nice to fix this.  Can you still
> find this condition?  If so can you run Guile and type these expressions
> at the console:
>
> (expt 2 1/2)
> (expt 2.0 1/2)
> (sqrt 2)
>
> and attach the log of what you type and what Guile says in response?
>
> Thanks!
>
> Andy
>
>

The bugzilla should probably be closed now,
because since then it seems that problem disapeared.
If I do the manual tests as suggested there is no differences in expressions outputs as reported below.
===
===
[michel@twppc64:~/work/devel:languages:misc/guile]
$osc chroot standard ppc --alternative-project=openSUSE:Factory:PowerPC
...
abuild@twppc64:~/rpmbuild/BUILD/guile-2.0.11> ./meta/guile
GNU Guile 2.0.11
Copyright (C) 1995-2014 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guile-user)> (expt 2 1/2)
$1 = 1.4142135623730951
scheme@(guile-user)> (expt 2.0 1/2)
$2 = 1.4142135623730951
scheme@(guile-user)> (sqrt 2)
$3 = 1.4142135623730951
===
abuild@twppc64:~/rpmbuild/BUILD/guile-2.0.11> file ./libguile/.libs/guile
./libguile/.libs/guile: ELF 32-bit MSB executable, PowerPC or cisco 4500, version 1 (SYSV), dynamically linked, interpreter /lib/ld.so.1, for GNU/Linux 3.0.0, BuildID[sha1]=767e0bee60d5b5a85db6fd8b83e01ef19ce33e45, not stripped
===

-- 
Michel Normand